// Controlling a servo position using a potentiometer (variable resistor) 
// by Michal Rinott <http://people.interaction-ivrea.it/m.rinott> 

#include <Servo.h> 
 
#define thumbOut 4
#define indexOut 12
#define middleOut 6
#define ringOut 8
#define pinkyOut 9

#define thumbIn A0
#define indexIn A1
#define middleIn A2
#define ringIn A3
#define pinkyIn A4


Servo myservo0;  // create servo object to control a servo 
Servo myservo1;
Servo myservo2;
Servo myservo3;
Servo myservo4;

int val;    // variable to read the value from the analog pin 
 
void setup() 
{   Serial.begin(9600); 
  while (!Serial) ;

myservo0.attach(thumbOut);  //attaches thumb servo to pin 4
myservo0.write(0 );  

myservo1.attach(indexOut);  
myservo1.write(0 );

myservo2.attach(middleOut);  
myservo2.write(0 );

myservo3.attach(ringOut);  
myservo3.write(0 );

myservo4.attach(pinkyOut);  
myservo4.write(0 );

delay(2000);
} 
 
void loop() 
{ 
  val = analogRead(thumbIn);            // reads the value of the potentiometer (value between 0 and 1023) 
  val = map(val, 350, 550, 0, 120);     // scale it to use it with the servo (value between 0 and 180) 
  //Serial.println(val);
  myservo0.write(val);                  // sets the servo position according to the scaled value 
  
    val = analogRead(indexIn);            // reads the value of the potentiometer (value between 0 and 1023) 
  val = map(val, 300, 500, 0, 120);     // scale it to use it with the servo (value between 0 and 180) 
   Serial.print("\nIndex ");

   Serial.println(val);
  myservo1.write(val);                  // sets the servo position according to the scaled value 
  
  
    val = analogRead(middleIn);            // reads the value of the potentiometer (value between 0 and 1023) 
  val = map(val, 300, 500, 0, 120);     // scale it to use it with the servo (value between 0 and 180) 
     Serial.print("Middle ");
Serial.println(val);
  myservo2.write(val);                  // sets the servo position according to the scaled value 
  
  
    val = analogRead(ringIn);            // reads the value of the potentiometer (value between 0 and 1023) 
  val = map(val,400, 550, 0, 120);     // scale it to use it with the servo (value between 0 and 180) 
   Serial.print("Ring ");
   Serial.println(val);
  myservo3.write(val);                  // sets the servo position according to the scaled value 
  
    val = analogRead(pinkyIn);            // reads the value of the potentiometer (value between 0 and 1023) 
  val = map(val, 300, 500, 0, 120);     // scale it to use it with the servo (value between 0 and 180) 
   Serial.print("Pinky ");
   Serial.println(val);
  myservo4.write(val);                  // sets the servo position according to the scaled value 
  
  
  delay(15);                           // waits for the servo to get there 
} 
